Skip to main content
GET
/
v1
/
organizations
/
{organization_id}
/
holders
List Holders
curl --request GET \
  --url https://ledger.sandbox.lerian.net/v1/organizations/{organization_id}/holders
import requests

url = "https://ledger.sandbox.lerian.net/v1/organizations/{organization_id}/holders"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://ledger.sandbox.lerian.net/v1/organizations/{organization_id}/holders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "items": "<unknown>",
  "limit": 123,
  "next_cursor": "<string>",
  "page": 123,
  "prev_cursor": "<string>"
}
{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "about:blank"
}

Headers

X-Request-Id
string<uuid>

A unique identifier used to trace and track each request.

Authorization
string

Bearer JWT token for authentication. Required when PLUGIN_AUTH_ENABLED=true (enforced in multi-tenant deployments). Optional in default OSS single-tenant mode. Format: Bearer <token>

Path Parameters

organization_id
string<uuid>
required

The unique identifier of the Organization associated with the Ledger.

Query Parameters

metadata
string

JSON string to filter holders by metadata fields

limit
string

Max items per page (1-100, default 10)

page
string

Page number (default 1)

sort_order
string

Sort direction (asc, desc)

include_deleted
string

Return includes logically deleted holders (true,false)

external_id
string

Filter holders by externalID

document
string

Filter holders by document

Response

OK

items
any
required
limit
integer<int64>
required
Example:

10

next_cursor
string
Example:

"eyJpZCI6IjAxOTI..."

page
integer<int64>
Example:

1

prev_cursor
string
Example:

"eyJpZCI6IjAxOTE..."